## python-dnaio 0.10.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = build

.PHONY: help Makefile

# Put it first so that "make" without argument is like "make html".
html:
	@$(SPHINXBUILD) -M html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)


# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== doc/requirements.txt ===
furo
sphinx_issues

## python-dnaio 0.3

=== debian/changelog ===
python-dnaio (0.3-2) unstable; urgency=medium

  * Team upload.
  * Reupload source package
    Closes: #934233
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Name.

 -- Andreas Tille <tille@debian.org>  Thu, 08 Aug 2019 16:29:22 +0200

python-dnaio (0.3-1) unstable; urgency=medium

  * Initial release (Closes: #930976)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sat, 22 Jun 2019 23:00:31 +0200

=== debian/control ===
Source: python-dnaio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-dev,
               python3-setuptools,
               python3-pytest,
               python3-xopen,
               cython3
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/python-dnaio
Vcs-Git: https://salsa.debian.org/med-team/python-dnaio.git
Homepage: https://github.com/marcelm/dnaio

Package: python3-dnaio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-xopen
Description: Python 3 library for fast parsing of FASTQ and FASTA files
 dnaio is a Python 3 library for fast parsing of FASTQ and also FASTA files.
 The code was previously part of the cutadapt tool and has been improved
 since it has been split out.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

## python-dnaio 0.4.1

=== debian/changelog ===
python-dnaio (0.4.1-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:27:38 +0100

python-dnaio (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Added ref to conda
  * Standards-Version: 4.5.0
  * Adjusted build-deps to allow package to import to Python 3.8

 -- Steffen Moeller <moeller@debian.org>  Sun, 02 Feb 2020 15:10:46 +0100

python-dnaio (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * Build-Depends: python3-setuptools-scm
    Closes: #944898
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Sun, 17 Nov 2019 16:18:47 +0100

python-dnaio (0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Wed, 30 Oct 2019 11:30:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python3,
-               python3-dev,
+               python3-all-dev,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-pytest,
                python3-xopen,
                cython3
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-dnaio
 Vcs-Git: https://salsa.debian.org/med-team/python-dnaio.git
 Homepage: https://github.com/marcelm/dnaio

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache
	rm -f src/dnaio/_core.c
	rm -f src/dnaio/_version.py
	rm -rf src/dnaio.egg-info

## When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
endif

=== debian/watch ===
version=4

https://github.com/marcelm/dnaio/releases/latest .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-dnaio 0.4.2

=== debian/changelog ===
python-dnaio (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Added Rules-Requires-Root: no flag

 -- Steffen Moeller <moeller@debian.org>  Thu, 30 Apr 2020 22:48:33 +0200

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/python-dnaio
 Vcs-Git: https://salsa.debian.org/med-team/python-dnaio.git
 Homepage: https://github.com/marcelm/dnaio
+Rules-Requires-Root: no
 
 Package: python3-dnaio
 Architecture: any

## python-dnaio 0.5.0

=== debian/changelog ===
python-dnaio (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 20 Dec 2020 17:49:34 +0530

python-dnaio (0.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 13 Nov 2020 13:52:37 +0530

python-dnaio (0.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 08 Nov 2020 13:16:52 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-dnaio
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
+Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>, Nilesh Patra <npatra974@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-setuptools,
@@ -11,7 +11,7 @@
                python3-pytest,
                python3-xopen,
                cython3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-dnaio
 Vcs-Git: https://salsa.debian.org/med-team/python-dnaio.git
 Homepage: https://github.com/marcelm/dnaio

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, unicycler-data
Restrictions: allow-stderr

## python-dnaio 0.7.1

=== debian/changelog ===
python-dnaio (0.7.1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:04:41 +0000

python-dnaio (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 19 Feb 2022 08:23:26 +0100

python-dnaio (0.6.0-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Mon, 08 Nov 2021 21:47:54 +0100

python-dnaio (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * d/watch: Add a uversionmangle rule for demoting rc to ~rc

 -- Nilesh Patra <nilesh@debian.org>  Sun, 03 Oct 2021 03:42:53 +0530

python-dnaio (0.5.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 21 Sep 2021 20:59:30 +0530

python-dnaio (0.5.1-1) unstable; urgency=medium

  * d/watch: Fix watch regex
  * New upstream version 0.5.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:22:47 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-dnaio
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>, Nilesh Patra <npatra974@gmail.com>
+Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>, Nilesh Patra <nilesh@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +11,7 @@
                python3-pytest,
                python3-xopen,
                cython3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-dnaio
 Vcs-Git: https://salsa.debian.org/med-team/python-dnaio.git
 Homepage: https://github.com/marcelm/dnaio

=== debian/watch ===
version=4

opts=uversionmangle=s/rc/~rc/,dversionmangle=auto, \
  https://github.com/marcelm/dnaio/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-dnaio 0.9.1

=== debian/changelog ===
python-dnaio (0.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Aug 2022 18:13:25 +0200

python-dnaio (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.0
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 May 2022 13:36:15 +0530

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-pytest,
                python3-xopen,
                cython3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-dnaio
 Vcs-Git: https://salsa.debian.org/med-team/python-dnaio.git
 Homepage: https://github.com/marcelm/dnaio

## python-dnaio 0.10.0

=== debian/changelog ===
python-dnaio (0.10.0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * d/watch: Proper upstream tarball name

  [ Nilesh Patra ]
  * New upstream version 0.10.0
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 17:05:08 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-dnaio
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +11,7 @@
                python3-pytest,
                python3-xopen,
                cython3
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-dnaio
 Vcs-Git: https://salsa.debian.org/med-team/python-dnaio.git
 Homepage: https://github.com/marcelm/dnaio

## python-dnaio 1.2.0

=== debian/changelog ===
python-dnaio (1.2.0-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:48 +1100

python-dnaio (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: stop building on big-endian architectures. Closes: #1067759
    All downstream packages are either architecture-independent or already
    aren't built on s390x, except for python3-cutadapt
  * d/tests/control: skip architectures that are not installable, see
    above.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Mar 2024 09:52:45 +0100

python-dnaio (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Replace override_dh_auto_clean in d/rules with d/clean listing removals

 -- Lance Lin <lq27267@gmail.com>  Mon, 19 Feb 2024 19:47:24 +0700

python-dnaio (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/control: Add autopkgtest-pkg-pybuild testsuite, add <!nocheck> to test
    specific Build-Depends, and add pybuild-plugin-pyproject to Build-Depends
  * d/rules: Remove unnecessary override_dh_auto_test
  * d/copyright: Update year to 2023 for debian/* files

 -- Lance Lin <lq27267@gmail.com>  Fri, 13 Oct 2023 19:40:35 +0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: python-dnaio
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               architecture-is-little-endian,
+               dh-sequence-python3,
                python3-all-dev,
+               pybuild-plugin-pyproject,
                python3-setuptools,
-               python3-setuptools-scm,
-               python3-pytest,
-               python3-xopen,
+               python3-setuptools-scm <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-xopen <!nocheck>,
                cython3
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-dnaio

## python-dnaio 1.2.2

=== debian/changelog ===
python-dnaio (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * pedantic-spelling.patch: new: fix spelling issue caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Wed, 09 Oct 2024 21:15:38 +0200

python-dnaio (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 31 Aug 2024 11:39:26 +0200

## python-dnaio 1.2.3

=== debian/changelog ===
python-dnaio (1.2.3-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-setuptools-scm in BD.
    Closes: #1116854.
  * d/control: Drop "Rules-Requires-Root: no". It's the default.
  * d/control: Drop "Priority: optional". It's the default.
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 06 Oct 2025 15:50:00 +0200

python-dnaio (1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
  * pedantic-spelling.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Sat, 30 Nov 2024 19:23:26 +0100

=== debian/control ===
Source: python-dnaio
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
           Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: debhelper-compat (= 13),
               architecture-is-little-endian,
               dh-sequence-python3,
               python3-all-dev,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-setuptools-scm,
               python3-pytest <!nocheck>,
               python3-xopen <!nocheck>,
               cython3
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/python-dnaio
Vcs-Git: https://salsa.debian.org/med-team/python-dnaio.git
Homepage: https://github.com/marcelm/dnaio

Package: python3-dnaio
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-xopen
Description: Python 3 library for fast parsing of FASTQ and FASTA files
 dnaio is a Python 3 library for fast parsing of FASTQ and also FASTA files.
 The code was previously part of the cutadapt tool and has been improved
 since it has been split out.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, unicycler-data
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4

opts="uversionmangle=s/rc/~rc/,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/marcelm/dnaio/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-dnaio 1.2.4

=== debian/changelog ===
python-dnaio (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4
  * d/copyright: drop the old FSF mail address.
  * d/watch: convert to v5 Github watch file.
  * d/s/lintian-overrides: new: explain why the missing Priority field.

 -- Étienne Mollier <emollier@debian.org>  Sat, 15 Nov 2025 10:20:08 +0100

=== debian/watch ===
Version: 5

Template: Github
Owner: marcelm
Project: dnaio
Uversionmangle: s/rc/~rc/
Dversionmangle: auto
